v1.0
get
/ec-site-svc/rest/v1.0/tenantsite/associations/{associationId}/addresses
Get addresses of tenant first entity for the passed association ID. However if passed ID belongs to INVESTIGATOR_INSTITUTION association, then it will return both tenant first entity and tenant second entity addresses.
Request
Path Parameters
-
associationId(required): string
Association identifier between tenant first entity and tenant second entity.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : ENTITY_ADDRESS_ASSOCIATION_RESPONSE_TITLE
Type:
objectTitle:
ENTITY_ADDRESS_ASSOCIATION_RESPONSE_TITLEENTITY_ADDRESS_ASSOCIATION_RESPONSE_DESC
Show Source
-
entityAddressAssociations: object
EntityAddressAssociationDto
Title:
EntityAddressAssociationDtoRepresents an address linked to an entity.
Nested Schema : EntityAddressAssociationDto
Type:
objectTitle:
EntityAddressAssociationDtoRepresents an address linked to an entity.
Show Source
-
addressCity: string
-
addressPostalcode(required): string
Title:
Postal CodeMinimum Length:0Maximum Length:20Postal code for the address.Example:80202 -
addressProperties: object
PROPERTY_DTO_TITLE
Title:
PROPERTY_DTO_TITLEPROPERTY_DTO_DESC -
addressStateOrProvOrCounty: string
(uuid)
-
addressStateOrProvOrCountyCodeValue: string
-
addressStreet1: string
-
addressStreet2: string
-
addressType: string
(uuid)
Title:
Address TypeIdentifier for the address type. -
addressTypeCodeValue: string
Title:
Address Type CodeMinimum Length:0Maximum Length:150Display value for the address type.Example:Primary -
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
country: string
(uuid)
Title:
Country IDIdentifier for the country. -
countryCodeValue: string
Title:
Country CodeMinimum Length:0Maximum Length:150Display value for the country code.Example:USA -
entityId: string
(uuid)
Title:
Entity IDIdentifier of the entity owning the address. -
entityType: string
Title:
Entity TypeMinimum Length:0Maximum Length:50Type of entity for the address.Example:Contact -
id: string
(uuid)
Title:
Address Association IDUnique identifier for the entity address association. -
mainPrimary: boolean
Title:
Main Primary FlagIndicates if this is the main primary address.Example:true -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
versionStart: string
(date-time)
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : PROPERTY_DTO_TITLE
Type:
objectTitle:
PROPERTY_DTO_TITLEPROPERTY_DTO_DESC
Show Source
-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
entityId: string
ENTITY_ID_DESCExample:
2A5E92F1C2D54DDA9F1C0A9E7B3C2D1A -
entityType: string
Title:
PROPERTY_DTO_ENTITY_TYPE_TITLEMinimum Length:0Maximum Length:50PROPERTY_DTO_ENTITY_TYPE_DESCExample:INSTITUTION -
propertyName(required): string
Title:
PROPERTY_DTO_NAME_TITLEMinimum Length:0Maximum Length:100PROPERTY_DTO_NAME_DESCExample:LabId -
propertyValue(required): string
Title:
PROPERTY_DTO_VALUE_TITLEMinimum Length:0Maximum Length:500PROPERTY_DTO_VALUE_DESCExample:2A5E92F1C2D54DDA9F1C0A9E7B3C2D1A -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations.
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples